using System;
using System.Collections.Generic;

namespace PositioningWebApp.Models.DB
{
    public partial class Devices
    {
		public Devices()
		{
			DeviceZone = new HashSet<DeviceZone>();
			GroupDevice = new HashSet<GroupDevice>();
			LogBook = new HashSet<LogBook>();
			Points = new HashSet<Points>();
		}

		public int Id { get; set; }
		public string Title { get; set; }
		public string Identifier { get; set; }
		public bool? ZoneEmailAlert { get; set; }
		public bool? ZoneSmsalert { get; set; }
		public bool? AlertSended { get; set; }
		public int? OwnerId { get; set; }

		public Users Owner { get; set; }
		public ICollection<DeviceZone> DeviceZone { get; set; }
		public ICollection<GroupDevice> GroupDevice { get; set; }
		public ICollection<LogBook> LogBook { get; set; }
		public ICollection<Points> Points { get; set; }
	}
}
